<?php



$tdatatb_pedidos = array();
$tdatatb_pedidos[".searchableFields"] = array();
$tdatatb_pedidos[".ShortName"] = "tb_pedidos";
$tdatatb_pedidos[".OwnerID"] = "";
$tdatatb_pedidos[".OriginalTable"] = "tb_pedidos";


$tdatatb_pedidos[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"list\":[\"list\"],\"masterlist\":[\"masterlist\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdatatb_pedidos[".originalPagesByType"] = $tdatatb_pedidos[".pagesByType"];
$tdatatb_pedidos[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"list\":[\"list\"],\"masterlist\":[\"masterlist\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdatatb_pedidos[".originalPages"] = $tdatatb_pedidos[".pages"];
$tdatatb_pedidos[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"list\":\"list\",\"masterlist\":\"masterlist\",\"search\":\"search\",\"view\":\"view\"}" );
$tdatatb_pedidos[".originalDefaultPages"] = $tdatatb_pedidos[".defaultPages"];

//	field labels
$fieldLabelstb_pedidos = array();
$fieldToolTipstb_pedidos = array();
$pageTitlestb_pedidos = array();
$placeHolderstb_pedidos = array();

if(mlang_getcurrentlang()=="Portuguese(Brazil)")
{
	$fieldLabelstb_pedidos["Portuguese(Brazil)"] = array();
	$fieldToolTipstb_pedidos["Portuguese(Brazil)"] = array();
	$placeHolderstb_pedidos["Portuguese(Brazil)"] = array();
	$pageTitlestb_pedidos["Portuguese(Brazil)"] = array();
	$fieldLabelstb_pedidos["Portuguese(Brazil)"]["pedID"] = "Ped ID";
	$fieldToolTipstb_pedidos["Portuguese(Brazil)"]["pedID"] = "";
	$placeHolderstb_pedidos["Portuguese(Brazil)"]["pedID"] = "";
	$fieldLabelstb_pedidos["Portuguese(Brazil)"]["clienteID"] = "Cliente ID";
	$fieldToolTipstb_pedidos["Portuguese(Brazil)"]["clienteID"] = "";
	$placeHolderstb_pedidos["Portuguese(Brazil)"]["clienteID"] = "";
	$fieldLabelstb_pedidos["Portuguese(Brazil)"]["data_ped"] = "Data Ped";
	$fieldToolTipstb_pedidos["Portuguese(Brazil)"]["data_ped"] = "";
	$placeHolderstb_pedidos["Portuguese(Brazil)"]["data_ped"] = "";
	$fieldLabelstb_pedidos["Portuguese(Brazil)"]["entrega"] = "Entrega";
	$fieldToolTipstb_pedidos["Portuguese(Brazil)"]["entrega"] = "";
	$placeHolderstb_pedidos["Portuguese(Brazil)"]["entrega"] = "";
	$fieldLabelstb_pedidos["Portuguese(Brazil)"]["status"] = "Status";
	$fieldToolTipstb_pedidos["Portuguese(Brazil)"]["status"] = "";
	$placeHolderstb_pedidos["Portuguese(Brazil)"]["status"] = "";
	if (count($fieldToolTipstb_pedidos["Portuguese(Brazil)"]))
		$tdatatb_pedidos[".isUseToolTips"] = true;
}


	$tdatatb_pedidos[".NCSearch"] = true;


	$tdatatb_pedidos[".scrollGridBody"] = true;

$tdatatb_pedidos[".shortTableName"] = "tb_pedidos";
$tdatatb_pedidos[".nSecOptions"] = 0;

$tdatatb_pedidos[".mainTableOwnerID"] = "";
$tdatatb_pedidos[".entityType"] = 0;

$tdatatb_pedidos[".strOriginalTableName"] = "tb_pedidos";

	



$tdatatb_pedidos[".showAddInPopup"] = false;

$tdatatb_pedidos[".showEditInPopup"] = false;

$tdatatb_pedidos[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatatb_pedidos[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdatatb_pedidos[".listAjax"] = false;
//	temporary
$tdatatb_pedidos[".listAjax"] = false;

	$tdatatb_pedidos[".audit"] = false;

	$tdatatb_pedidos[".locking"] = false;


$pages = $tdatatb_pedidos[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatatb_pedidos[".edit"] = true;
	$tdatatb_pedidos[".afterEditAction"] = 0;
	$tdatatb_pedidos[".closePopupAfterEdit"] = 1;
	$tdatatb_pedidos[".afterEditActionDetTable"] = "Detail tables not found!";
}

if( $pages[PAGE_ADD] ) {
$tdatatb_pedidos[".add"] = true;
$tdatatb_pedidos[".afterAddAction"] = 0;
$tdatatb_pedidos[".closePopupAfterAdd"] = 1;
$tdatatb_pedidos[".afterAddActionDetTable"] = "Detail tables not found!";
}

if( $pages[PAGE_LIST] ) {
	$tdatatb_pedidos[".list"] = true;
}



$tdatatb_pedidos[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatatb_pedidos[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatatb_pedidos[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatatb_pedidos[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatatb_pedidos[".printFriendly"] = true;
}



$tdatatb_pedidos[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatatb_pedidos[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatatb_pedidos[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatatb_pedidos[".isUseAjaxSuggest"] = true;

$tdatatb_pedidos[".rowHighlite"] = true;





$tdatatb_pedidos[".ajaxCodeSnippetAdded"] = false;

$tdatatb_pedidos[".buttonsAdded"] = false;

$tdatatb_pedidos[".addPageEvents"] = false;

// use timepicker for search panel
$tdatatb_pedidos[".isUseTimeForSearch"] = false;


$tdatatb_pedidos[".badgeColor"] = "1E90FF";


$tdatatb_pedidos[".allSearchFields"] = array();
$tdatatb_pedidos[".filterFields"] = array();
$tdatatb_pedidos[".requiredSearchFields"] = array();

$tdatatb_pedidos[".googleLikeFields"] = array();
$tdatatb_pedidos[".googleLikeFields"][] = "pedID";
$tdatatb_pedidos[".googleLikeFields"][] = "clienteID";
$tdatatb_pedidos[".googleLikeFields"][] = "data_ped";
$tdatatb_pedidos[".googleLikeFields"][] = "entrega";
$tdatatb_pedidos[".googleLikeFields"][] = "status";



$tdatatb_pedidos[".tableType"] = "list";

$tdatatb_pedidos[".printerPageOrientation"] = 0;
$tdatatb_pedidos[".nPrinterPageScale"] = 100;

$tdatatb_pedidos[".nPrinterSplitRecords"] = 40;

$tdatatb_pedidos[".geocodingEnabled"] = false;










$tdatatb_pedidos[".pageSize"] = 20;

$tdatatb_pedidos[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatatb_pedidos[".strOrderBy"] = $tstrOrderBy;

$tdatatb_pedidos[".orderindexes"] = array();

$tdatatb_pedidos[".sqlHead"] = "SELECT pedID,  	clienteID,  	data_ped,  	entrega,  	status";
$tdatatb_pedidos[".sqlFrom"] = "FROM tb_pedidos";
$tdatatb_pedidos[".sqlWhereExpr"] = "";
$tdatatb_pedidos[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatatb_pedidos[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatatb_pedidos[".arrGroupsPerPage"] = $arrGPP;

$tdatatb_pedidos[".highlightSearchResults"] = true;

$tableKeystb_pedidos = array();
$tableKeystb_pedidos[] = "pedID";
$tdatatb_pedidos[".Keys"] = $tableKeystb_pedidos;


$tdatatb_pedidos[".hideMobileList"] = array();




//	pedID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "pedID";
	$fdata["GoodName"] = "pedID";
	$fdata["ownerTable"] = "tb_pedidos";
	$fdata["Label"] = GetFieldLabel("tb_pedidos","pedID");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "pedID";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "pedID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_pedidos["pedID"] = $fdata;
		$tdatatb_pedidos[".searchableFields"][] = "pedID";
//	clienteID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "clienteID";
	$fdata["GoodName"] = "clienteID";
	$fdata["ownerTable"] = "tb_pedidos";
	$fdata["Label"] = GetFieldLabel("tb_pedidos","clienteID");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "clienteID";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "clienteID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "tb_clientes";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "clienteID";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "cliente";

	

	
	$edata["LookupOrderBy"] = "cliente";

	
	
		$edata["AllowToAdd"] = true;
			$edata["addPageId"] = "add";

	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_pedidos["clienteID"] = $fdata;
		$tdatatb_pedidos[".searchableFields"][] = "clienteID";
//	data_ped
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "data_ped";
	$fdata["GoodName"] = "data_ped";
	$fdata["ownerTable"] = "tb_pedidos";
	$fdata["Label"] = GetFieldLabel("tb_pedidos","data_ped");
	$fdata["FieldType"] = 7;

	
	
	
			

		$fdata["strField"] = "data_ped";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "data_ped";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "Invalid week day", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 2;
	$edata["InitialYearFactor"] = 1;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_pedidos["data_ped"] = $fdata;
		$tdatatb_pedidos[".searchableFields"][] = "data_ped";
//	entrega
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "entrega";
	$fdata["GoodName"] = "entrega";
	$fdata["ownerTable"] = "tb_pedidos";
	$fdata["Label"] = GetFieldLabel("tb_pedidos","entrega");
	$fdata["FieldType"] = 7;

	
	
	
			

		$fdata["strField"] = "entrega";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "entrega";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "Invalid week day", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 2;
	$edata["InitialYearFactor"] = 1;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_pedidos["entrega"] = $fdata;
		$tdatatb_pedidos[".searchableFields"][] = "entrega";
//	status
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "status";
	$fdata["GoodName"] = "status";
	$fdata["ownerTable"] = "tb_pedidos";
	$fdata["Label"] = GetFieldLabel("tb_pedidos","status");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "status";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "status";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
		$edata["LookupType"] = 0;
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
	
		$edata["LookupValues"] = array();
	$edata["LookupValues"][] = "Análise ";
	$edata["LookupValues"][] = "Cotação ";
	$edata["LookupValues"][] = "Modelagem";
	$edata["LookupValues"][] = "Teste Produção ";
	$edata["LookupValues"][] = "Aprovação ";
	$edata["LookupValues"][] = "Programado";
	$edata["LookupValues"][] = "Preparação ";
	$edata["LookupValues"][] = "laser/serra";
	$edata["LookupValues"][] = "Nivelamento/base";
	$edata["LookupValues"][] = "Corte Contornos";
	$edata["LookupValues"][] = "Acabamento";
	$edata["LookupValues"][] = "Revisão ";
	$edata["LookupValues"][] = "Expedição ";
	$edata["LookupValues"][] = "Entregue";
	$edata["LookupValues"][] = "Estoque";

	
		$edata["SelectSize"] = 1;

// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_pedidos["status"] = $fdata;
		$tdatatb_pedidos[".searchableFields"][] = "status";


$tables_data["tb_pedidos"]=&$tdatatb_pedidos;
$field_labels["tb_pedidos"] = &$fieldLabelstb_pedidos;
$fieldToolTips["tb_pedidos"] = &$fieldToolTipstb_pedidos;
$placeHolders["tb_pedidos"] = &$placeHolderstb_pedidos;
$page_titles["tb_pedidos"] = &$pageTitlestb_pedidos;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["tb_pedidos"] = array();
//	tb_peditens
	
	

		$dIndex = 0;
	$detailsParam = array();
	$detailsParam["dDataSourceTable"]="tb_peditens";
		$detailsParam["dOriginalTable"] = "tb_peditens";



				$detailsParam["dType"]=PAGE_LIST;
	$detailsParam["dShortTable"] = "tb_peditens";
	$detailsParam["dCaptionTable"] = GetTableCaption("tb_peditens");
	$detailsParam["masterKeys"] =array();
	$detailsParam["detailKeys"] =array();


		
	$detailsTablesData["tb_pedidos"][$dIndex] = $detailsParam;

	
		$detailsTablesData["tb_pedidos"][$dIndex]["masterKeys"] = array();

	$detailsTablesData["tb_pedidos"][$dIndex]["masterKeys"][]="pedID";

				$detailsTablesData["tb_pedidos"][$dIndex]["detailKeys"] = array();

	$detailsTablesData["tb_pedidos"][$dIndex]["detailKeys"][]="pedID";

// tables which are master tables for current table (detail)
$masterTablesData["tb_pedidos"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//


require_once(getabspath("classes/sql.php"));










function createSqlQuery_tb_pedidos()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "pedID,  	clienteID,  	data_ped,  	entrega,  	status";
$proto0["m_strFrom"] = "FROM tb_pedidos";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "pedID",
	"m_strTable" => "tb_pedidos",
	"m_srcTableName" => "tb_pedidos"
));

$proto6["m_sql"] = "pedID";
$proto6["m_srcTableName"] = "tb_pedidos";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "clienteID",
	"m_strTable" => "tb_pedidos",
	"m_srcTableName" => "tb_pedidos"
));

$proto8["m_sql"] = "clienteID";
$proto8["m_srcTableName"] = "tb_pedidos";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "data_ped",
	"m_strTable" => "tb_pedidos",
	"m_srcTableName" => "tb_pedidos"
));

$proto10["m_sql"] = "data_ped";
$proto10["m_srcTableName"] = "tb_pedidos";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "entrega",
	"m_strTable" => "tb_pedidos",
	"m_srcTableName" => "tb_pedidos"
));

$proto12["m_sql"] = "entrega";
$proto12["m_srcTableName"] = "tb_pedidos";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "status",
	"m_strTable" => "tb_pedidos",
	"m_srcTableName" => "tb_pedidos"
));

$proto14["m_sql"] = "status";
$proto14["m_srcTableName"] = "tb_pedidos";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto16=array();
$proto16["m_link"] = "SQLL_MAIN";
			$proto17=array();
$proto17["m_strName"] = "tb_pedidos";
$proto17["m_srcTableName"] = "tb_pedidos";
$proto17["m_columns"] = array();
$proto17["m_columns"][] = "pedID";
$proto17["m_columns"][] = "clienteID";
$proto17["m_columns"][] = "data_ped";
$proto17["m_columns"][] = "entrega";
$proto17["m_columns"][] = "status";
$obj = new SQLTable($proto17);

$proto16["m_table"] = $obj;
$proto16["m_sql"] = "tb_pedidos";
$proto16["m_alias"] = "";
$proto16["m_srcTableName"] = "tb_pedidos";
$proto18=array();
$proto18["m_sql"] = "";
$proto18["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto18["m_column"]=$obj;
$proto18["m_contained"] = array();
$proto18["m_strCase"] = "";
$proto18["m_havingmode"] = false;
$proto18["m_inBrackets"] = false;
$proto18["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto18);

$proto16["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto16);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="tb_pedidos";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_tb_pedidos = createSqlQuery_tb_pedidos();


	
		;

					

$tdatatb_pedidos[".sqlquery"] = $queryData_tb_pedidos;

$tableEvents["tb_pedidos"] = new eventsBase;
$tdatatb_pedidos[".hasEvents"] = false;

?>